Missing translations in js/customlayout.js

Bug #1371460 reported by Olli Puurunen on 2014-09-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Unassigned
1.10
Medium
Unassigned
1.8
Medium
Unassigned
1.9
Medium
Unassigned

Bug Description

In the file htdocs/js/customlayout.js there are hard-coded English language strings.

"Row %s" on line 11: $(newrow).find('.customrowtitle').html('<strong>Row ' + (numrows + 1) + '</strong>');
"Row %s" on line 39: $(this).find('.customrowtitle').html('<strong>Row ' + inc + '</strong>');
"%s rows" (note this one's a plural string) on line 112: rowtitlediv.html('<strong>' + numrows + ' rows</strong>');
"Generating preview..." on line 224: $('#custompreview').html('<p>Generating preview...</p>');

Aaron Wells (u-aaronw) on 2014-09-22
Changed in mahara:
importance: Undecided → Medium
description: updated
description: updated

Reviewed: https://reviews.mahara.org/3711
Committed: http://gitorious.org/mahara/mahara/commit/59735023ff0cfd5c52526337edabf63314c2003d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 59735023ff0cfd5c52526337edabf63314c2003d
Author: Tobias Zeuch <email address hidden>
Date: Mon Sep 22 16:36:19 2014 +0200

enable translation for strings in customlayout.js

Bug 1371460: Some strings still where hard coded in English in htdocs/js/customlayout.js. This patch puts them into lang/en.utf8/view.php for translation and adds them to the smarty-template in layout.php

Change-Id: I182673f18de2ca5d50d4cfa0f4461a4699695bd5
Signed-off-by: Tobias Zeuch <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.8_STABLE" branch: https://reviews.mahara.org/3757

Reviewed: https://reviews.mahara.org/3757
Committed: http://gitorious.org/mahara/mahara/commit/cc4b12a6ae5cea4a17a3dca3e5c5ebc28c8431e6
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit cc4b12a6ae5cea4a17a3dca3e5c5ebc28c8431e6
Author: Tobias Zeuch <email address hidden>
Date: Mon Sep 22 16:36:19 2014 +0200

enable translation for strings in customlayout.js

Bug 1371460: Some strings still where hard coded in English in htdocs/js/customlayout.js. This patch puts them into lang/en.utf8/view.php for translation and adds them to the smarty-template in layout.php

Change-Id: I182673f18de2ca5d50d4cfa0f4461a4699695bd5
Signed-off-by: Tobias Zeuch <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3756
Committed: http://gitorious.org/mahara/mahara/commit/585cb16cdad1057461e7042e2ac2f76a3b4abc67
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 585cb16cdad1057461e7042e2ac2f76a3b4abc67
Author: Tobias Zeuch <email address hidden>
Date: Mon Sep 22 16:36:19 2014 +0200

enable translation for strings in customlayout.js

Bug 1371460: Some strings still where hard coded in English in htdocs/js/customlayout.js. This patch puts them into lang/en.utf8/view.php for translation and adds them to the smarty-template in layout.php

Change-Id: I182673f18de2ca5d50d4cfa0f4461a4699695bd5
Signed-off-by: Tobias Zeuch <email address hidden>

Reviewed: https://reviews.mahara.org/3773
Committed: http://gitorious.org/mahara/mahara/commit/f4e41b7173733aa47e5c26eab9a240d3dea2475a
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit f4e41b7173733aa47e5c26eab9a240d3dea2475a
Author: Tobias Zeuch <email address hidden>
Date: Mon Sep 22 16:36:19 2014 +0200

enable translation for strings in customlayout.js

Bug 1371460: Some strings still where hard coded in English in htdocs/js/customlayout.js. This patch puts them into lang/en.utf8/view.php for translation and adds them to the smarty-template in layout.php

Change-Id: I182673f18de2ca5d50d4cfa0f4461a4699695bd5
Signed-off-by: Tobias Zeuch <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-20
Changed in mahara:
milestone: 1.10.0 → none
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers